#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	string s;
    cin>>s;
    int a[s.size()][s.size()];
    for(int i = 0;i<s.size(); i++){
        int r = 0;
        a[i][i] = 1;
        for(int j=i+1; j<s.size(); j++){
            if(s[j]<s[j-1]) r++;
            a[i][j]=r+1;
        }
    }
    int q;
    cin>>q;
    while(q--){
        int l, r;
        cin>>l>>r;
        cout<<a[l-1][r-1]<<endl;
    }
}
